<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

define('TIMESTART', microtime(true));

if (!$admin) header('Location: '.ADMIN);

require_header('Полная очистка базы данных');

if (isset($_POST['delete'])) {
	if (mysql_query("TRUNCATE TABLE `".SQLprefixTable."files`") && mysql_query("TRUNCATE TABLE `".SQLprefixTable."comment`") && mysql_query("TRUNCATE TABLE `".SQLprefixTable."news`") && mysql_query("TRUNCATE TABLE `".SQLprefixTable."news_comment`")) {
		header('Refresh: 1, url='.ADMIN);
		echo '<div class="menu">
		База данных успешно очищена!<br/>
		Страница создана за: '.round(microtime(true) - TIMESTART, 4).' сек
		</div>
		
		<div class="block"><a href="'.ADMIN.'/clean.xhtml">Очистка БД</a></div>';
		
		exit(require_footer());
	} else {
		echo '<div class="error">Ошибка при очистки данных!</div>';
	}
}

echo '<form class="menu" action="" method="post">
<b>Все данные будут удалены, вы действительно хотите удалить все данные?</b><br/>
<input type="submit" name="delete" value="Да"/> <a href="'.ADMIN.'"><input type="button" value="Нет"/></a>
</form>

<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>